# PostgreSQL 11

This page describes the Optimization Pack for the component type PostgreSQL 11.

## Metrics

### Concurrency

<table><thead><tr><th width="178">Parameter</th><th width="144.33333333333334">Unit</th><th>Description</th></tr></thead><tbody><tr><td>pg_connections</td><td>connections</td><td>The number of connections in the db.</td></tr></tbody></table>

### Transactions

<table><thead><tr><th width="172">Parameter</th><th width="131.33333333333334">Unit</th><th>Description</th></tr></thead><tbody><tr><td>pg_start_time</td><td>seconds</td><td>The total amount time spent by postresql to boot up.</td></tr><tr><td>pg_commits</td><td>commits/s</td><td>The number of transactions committed per second.</td></tr><tr><td>pg_rollbacks</td><td>rollbacks/s</td><td>The number of transactions rollbacked per second.</td></tr></tbody></table>

### Checkpoints

<table><thead><tr><th width="248.33333333333334">Parameter</th><th width="152">Unit</th><th>Description</th></tr></thead><tbody><tr><td>pg_checkpoint_executed</td><td>checkpoints/s</td><td>The total number of checkpoint operations executed by postgresql.</td></tr></tbody></table>

### Disks

<table><thead><tr><th width="250">Metric</th><th width="131.33333333333334">Unit</th><th>Description</th></tr></thead><tbody><tr><td>pg_disk_used</td><td>bytes</td><td>The amount of disk space used by postgresql.</td></tr><tr><td>pg_blocks_read</td><td>blocks/s</td><td>The number of blocks read per second by postgresql.</td></tr><tr><td>pg_blocks_cache_hit</td><td>blocks/s</td><td>Number of blocks found in the buffer cache.</td></tr><tr><td>pg_backend_fsync_count</td><td>syncs</td><td>The total number of times postgresql executed a sync of data to disk.</td></tr></tbody></table>

## Parameters

### Concurrency

<table><thead><tr><th width="186">Parameter</th><th>Type</th><th width="99">Unit</th><th>Default value</th><th>Domain</th><th>Restart</th><th>Description</th></tr></thead><tbody><tr><td>pg_effective_io_concurrency</td><td>integer</td><td>iops</td><td><code>1</code></td><td><code>0</code> → <code>1000</code></td><td>no</td><td>The number of simultaneous requests that can be handled efficiently by the disk subsystem.</td></tr></tbody></table>

### Background Writer

<table><thead><tr><th width="145">Parameter</th><th width="99">Type</th><th>Unit</th><th>Default value</th><th>Domain</th><th>Restart</th><th>Description</th></tr></thead><tbody><tr><td>pg_bgwriter_delay</td><td>integer</td><td>milliseconds</td><td><code>200</code></td><td><code>10</code> → <code>10000</code></td><td>no</td><td>The delay between activity rounds for the background writer.</td></tr><tr><td>pg_bgwriter_lru_maxpages</td><td>integer</td><td>buffers</td><td><code>100</code></td><td><code>0</code> → <code>1073741823</code></td><td>no</td><td>The maximum number of LRU pages to flush per round by the background writer.</td></tr></tbody></table>

### Checkpoints

| Parameter                          | Type | Unit | Default value | Domain        | Restart | Description                                                                                  |
| ---------------------------------- | ---- | ---- | ------------- | ------------- | ------- | -------------------------------------------------------------------------------------------- |
| pg\_checkpoint\_completion\_target | real |      | `0.5`         | `0.0` → `1.0` | no      | The time spent flushing dirty buffers during checkpoint, as fraction of checkpoint interval. |

### Disks

<table><thead><tr><th width="142">Parameter</th><th>Type</th><th width="109">Unit</th><th>Default value</th><th></th><th width="96">Restart</th><th>Description</th></tr></thead><tbody><tr><td>pg_effective_cache_size</td><td>integer</td><td>kilobytes</td><td><code>524288</code></td><td><code>1</code> → <code>2147483647</code></td><td>no</td><td>The planner's assumption about the effective size of the disk cache available to a single query. A higher value makes it more likely index scans will be used, a lower value makes it more likely sequential scans will be used.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.1.2/akamas-reference/optimization-packs/postgresql-pack/postgresql-11.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
